# List all payouts Returns a collection of payouts. Endpoint: GET /payouts Version: 1.0.0-rc2 ## Query parameters: - `start_date` (string) ISO 8601 date time format. This is a filter for the payout date. If no time is given then it defaults to the start of the day, ie 00:00:00. For example 2020-01-23 -> 2020-01-23T00:00:00Z. For this reason we recommend too use the full datetime like 2020-01-23T00:00:00Z. - `end_date` (string) ISO 8601 date time format. This is a filter for the payout date. If no time is given then it defaults to the start of the day, ie 00:00:00. This might lead to unwanted side effects like when the start date and end date might be the same because it would request payouts between 2020-01-23T00:00:00Z and 2020-01-23T00:00:00Z. Instead we advise to use a full date time like 2020-01-23T23:59:59Z. - `currency_code` (string) An optional currency code to filter the result for different currencies. If not provided the result returned in the response might include multiple results grouped by the currency. The currency should be provided by an ISO 4217 Currency Code like USD, EUR, AUD or GBP. - `size` (integer) How many elements to include in the result. If no value for size is provided, a default of 20 will be used. A maximum of 500 can be set - `offset` (integer) The current offset. Describes "where" in a collection the current starts. ## Response 200 fields (application/json): - `payouts` (array, required) - `payouts.totals` (object, required) - `payouts.totals.commission_amount` (integer, required) The total amount of commissions, in minor units Example: 550 - `payouts.totals.repay_amount` (integer, required) The total amount of money that has been repaid by the merchant from the debt, in minor units Example: 550 - `payouts.totals.sale_amount` (integer, required) The total amount of sales, in minor units Example: 500 - `payouts.totals.holdback_amount` (integer, required) The total amount of money withheld, in minor units Example: 550 - `payouts.totals.tax_amount` (integer) The total amount of tax, in minor units Example: 550 - `payouts.totals.settlement_amount` (integer, required) The total amount of the settlement in question, in minor units Example: 550 - `payouts.totals.fee_correction_amount` (integer) The total amount of fee correction, in minor units Example: 550 - `payouts.totals.reversal_amount` (integer, required) The total amount of reversals, in minor units Example: 550 - `payouts.totals.release_amount` (integer, required) The total amount of money released from holdback, in minor units Example: 550 - `payouts.totals.return_amount` (integer, required) The total amount of returns, in minor units Example: 550 - `payouts.totals.fee_amount` (integer, required) The total amount of fees, in minor units Example: 500 - `payouts.totals.charge_amount` (integer, required) The total amount of charges, in minor units. The additional field detailed_type contains the purpose of the charge Example: 500 - `payouts.totals.credit_amount` (integer, required) The total amount of credits, in minor units. The additional field detailed_type contains the purpose of the credit Example: 500 - `payouts.totals.fee_refund_amount` (integer, required) The total amount of refunded fees in a given settlement, in minor units. Example: 500 - `payouts.totals.tax_refund_amount` (integer, required) The total amount of refunded tax in a given settlement, in minor units. Example: 500 - `payouts.totals.deposit_amount` (integer, required) The increase of your debt balance with Kustom if your returns, fees, and other charges exceed your sales within this settlement period. This debt will be deducted from your next settlements and describes the amount that is increasing your debt balance, to be seen in the closing_debt_balance. In minor units. Example: 500 - `payouts.totals.opening_debt_balance_amount` (integer, required) Your negative balance with Kustom from previous settlements, if your returns, fees, and other charges exceeded your sales. This amount equals the closing_debt_balance of your last settlement unless Kustom has invoiced you separately for the amount. In minor units. Example: 500 - `payouts.totals.closing_debt_balance_amount` (integer, required) Your debt balance after the settlement. This amount will be the opening debt balance of your next settlement and helps you understand which amounts will be deducted from your next settlements. In minor units. Example: 500 - `payouts.payment_reference` (string, required) The reference id of the payout Example: "XISA93DJ" - `payouts.payout_date` (string, required) ISO 8601 formatted date-time string Example: "2016-12-14T07:52:26Z" - `payouts.currency_code` (string, required) ISO 4217 Currency Code. Like USD, EUR, AUD or GBP. Example: "USD" - `payouts.currency_code_of_registration_country` (string) ISO 4217 Currency Code of the country you are registered in. Example: "EUR" - `payouts.merchant_settlement_type` (string, required) Whether the amounts are net or gross Enum: "GROSS", "NET", "GROSS_FEE" - `payouts.merchant_id` (string, required) The merchant id - `payouts.transactions` (string) Link to the transactions that are part of this payout Example: "https://{settlements_api}/transactions?payment_reference=XISA93DJ" - `pagination` (object, required) - `pagination.count` (integer, required) The amount of elements in the current result Example: 10 - `pagination.total` (integer) The total amount of elements that are available Example: 42 - `pagination.next` (string) The URI to the next "page" of results. Example: "http://example.com/collection?offset=21&size=10" - `pagination.prev` (string) The URI to the previous "page" of results. Example: "http://example.com/collection?offset=0&size=10" - `pagination.offset` (integer) The current offset. Describes "where" in a collection the current starts. Example: 10 ## Response 400 fields (application/json): - `error_code` (string, required) ERROR_CODE - `error_messages` (array, required) Array of error messages - `correlation_id` (string, required) Unique id for this request used for troubleshooting. Example: "2fe0311b-adc5-45e5-ac2b-963dac83c88b"